<?php
/**
* dbArchive
* Create and maintain MySQL Database archives
* Copyright 2003 Amalla International. All rights reserved.
* Scott Pier - ScottBP@amalla.com
* Create Date: 01/03/2003
* Version 1.01.00
*/
require_once ("preload.php");
requireLogin();
if ($action=="Create Archive") {
	// Check for db name sent
	if (!$db_name) {
		header ("Location: ?");
		exit;
	} 
	// Start Clock
	$start_time = time();

	require_once(PATH_INCLUDES . "class.export.php");
	$exp = new dbdump;
	$exp->setDB($db_name);
	$exp->setHost(DB_HOST); 

	// Set File names
	$time = time();
	$sql_file = "$db_name" . "_" . "$time.sql";
	$inf_file = "$db_name" . "_" . "$time.inf";
	$zip_file = "$db_name" . "_" . "$time.zip"; 

	// Dump .sql File
	$sql_data = $exp->getSchema();
	$fp = fopen(PATH_ARCHIVES . $sql_file, "w");
	fwrite ($fp, $sql_data, strlen($sql_data));
	fclose($fp); 

	// Dump .inf File
	$inf_data = "$db_name|$time|" . base64_encode(stripslashes($arc_desc));
	$fp = fopen(PATH_ARCHIVES . $inf_file, "w");
	fwrite ($fp, $inf_data, strlen($inf_data));
	fclose($fp); 

	// Check if we send report
	if (OPT_EMAIL_REPORTS) {
		require_once(PATH_INCLUDES . "phpMailer/class.phpmailer.php");
		$mail = new phpmailer();
		$mail->From = "";
		$mail->FromName = SYS_PROGRAM . " Server";
		$mail->AddAddress(SITE_EMAIL, "");
		$mail->IsMail(true);
		$mail->IsHTML(true);
		$mail->Subject = "*** Database $db_name backup for " . date(DATE_MASK, $time);

		// Get Table List
		unset($table_list);
		$result = mysql_list_tables($db_name);
		while (list($table_name) = mysql_fetch_array($result)) {
			$table_list .= "<li>$table_name</li>";
		} 
		mysql_free_result($result); 
		// Check if we zip file first
		if (OPT_ZIP_SQL && OPT_GET_SQL != "none") {
			require_once(PATH_INCLUDES . "class.zip.php");
			$zip = new zipfile();
			$fp = fopen(PATH_ARCHIVES . $sql_file, "r");
			$sql_data = fread($fp, filesize(PATH_ARCHIVES . $sql_file));
			fclose($fp);
			$zip->add_dir("./");
			$zip->add_file($sql_data, "./" . $sql_file);
			$mail_file = "/tmp/" . $zip_file;
			$mail_type = "application/zip";
			$zip_data = $zip->file();
			$mail_data = $zip_data;
			$fp = fopen($mail_file, "wb");
			fputs($fp, $zip_data, strlen($zip_data));
			fclose($fp);
		} else {
			$mail_file = PATH_ARCHIVES . $sql_file;
			$mail_data = $sql_data;
			$mail_type = "text/plain";
		} 

		// Check for attachment
		if (OPT_GET_SQL == "email" || OPT_GET_SQL == "both") {
			$mail->AddAttachment($mail_file, $zip_file, "base64", "application/zip");
		} 

		// Define Page Variables
		$smarty->assign("db_host", DB_HOST);
		$smarty->assign("db_name", $db_name);
		$smarty->assign("arc_desc", stripslashes($arc_desc));
		$smarty->assign("start_time", date(DATE_MASK, $start_time));
		$smarty->assign("end_time", date(DATE_MASK, time()));
		$smarty->assign("table_list", $table_list);
		$mail->Body = EMAIL_OPEN . nl2br($smarty->fetch("email.txt")) . EMAIL_CLOSE; 

		// Send email
		$mail->Send();
	} 

	unset($action); 
	// Return To Main page
	if (OPT_GET_SQL == "down" || OPT_GET_SQL == "both") {
		$this_url = "index.php?action=download&id={$db_name}_{$time}";
		echo"<script><!--
			window.open('$this_url');
		--></script>";

		// Define Pages
		$this_message = '<br><br>Archive Has Been Created<br><a href="index.php">Click Here To Continue</a><br><br>'; 
		$smarty->assign("page_title", "Create Archive");
		$smarty->assign("message", $this_message);
		$body=$smarty->fetch("message.htm");
		$smarty->assign("body_content", $body);
		$smarty->display("default.htm");

		unset($action);
		unset($confirm);
		unset($id);
	} else {
		$this_url = "index.php?";
		header("Location: " . $this_url);
	} 
} else { // Add Screen
	// Get a list of Databases
	if (!DB_NAME) {
		$db_names=array();
		$result = mysql_list_dbs();
		while ($row = mysql_fetch_assoc($result)) {
			$db_names[]=$row['Database'];
		}
	} else {
		$db_names[]= DB_NAME;
	}
	
	// Setup Screen Vars
	$smarty->assign("page_title", "Create Archive");
	$smarty->assign("db_names", $db_names);
	$body=$smarty->fetch("add.htm");
	$smarty->assign("body_content", $body);
	$smarty->display("default.htm");
}
?>