<?php 
/**
* dbArchive
* Create and maintain MySQL Database archives
* Copyright 2003 Amalla International. All rights reserved.
* Scott Pier - ScottBP@amalla.com
* Create Date: 01/03/2003
* Version 1.01.00
*/
// Determines platform (OS), browser and version of the user
// Based on a phpBuilder article:
// see http://www.phpbuilder.net/columns/tim20000821.php
if (!defined('DBA_USR_OS')) {
	// loic1 - 2001/25/11: use the new globals arrays defined with
	// php 4.1+
	if (!empty($_SERVER['HTTP_USER_AGENT'])) {
		$HTTP_USER_AGENT = $_SERVER['HTTP_USER_AGENT'];
	} else if (!empty($HTTP_SERVER_VARS['HTTP_USER_AGENT'])) {
		$HTTP_USER_AGENT = $HTTP_SERVER_VARS['HTTP_USER_AGENT'];
	} else if (!isset($HTTP_USER_AGENT)) {
		$HTTP_USER_AGENT = '';
	} 
	// 1. Platform
	if (strstr($HTTP_USER_AGENT, 'Win')) {
		define('DBA_USR_OS', 'Win');
	} else if (strstr($HTTP_USER_AGENT, 'Mac')) {
		define('DBA_USR_OS', 'Mac');
	} else if (strstr($HTTP_USER_AGENT, 'Linux')) {
		define('DBA_USR_OS', 'Linux');
	} else if (strstr($HTTP_USER_AGENT, 'Unix')) {
		define('DBA_USR_OS', 'Unix');
	} else if (strstr($HTTP_USER_AGENT, 'OS/2')) {
		define('DBA_USR_OS', 'OS/2');
	} else {
		define('DBA_USR_OS', 'Other');
	} 
	// 2. browser and version
	if (ereg('Opera(/| )([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		define('DBA_USR_BROWSER_VER', $log_version[2]);
		define('DBA_USR_BROWSER_AGENT', 'OPERA');
	} else if (ereg('MSIE ([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		define('DBA_USR_BROWSER_VER', $log_version[1]);
		define('DBA_USR_BROWSER_AGENT', 'IE');
	} else if (ereg('OmniWeb/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		define('DBA_USR_BROWSER_VER', $log_version[1]);
		define('DBA_USR_BROWSER_AGENT', 'OMNIWEB');
	} else if (ereg('Mozilla/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		define('DBA_USR_BROWSER_VER', $log_version[1]);
		define('DBA_USR_BROWSER_AGENT', 'MOZILLA');
	} else if (ereg('Konqueror/([0-9].[0-9]{1,2})', $HTTP_USER_AGENT, $log_version)) {
		define('DBA_USR_BROWSER_VER', $log_version[1]);
		define('DBA_USR_BROWSER_AGENT', 'KONQUEROR');
	} else {
		define('DBA_USR_BROWSER_VER', 0);
		define('DBA_USR_BROWSER_AGENT', 'OTHER');
	} 
} // $__DBA_DEFINES_LIB__

?>