<?php
/**
* dbArchive
* Create and maintain MySQL Database archives
* Copyright 2003 Amalla International. All rights reserved.
* Scott Pier - ScottBP@amalla.com
* Create Date: 01/03/2003
* Version 1.01.00
*/
require_once ("preload.php");
requireLogin();

if($action=="Update") {
	$ini->write (INI_FILE, "GENERAL", "site_url" , $site_url);
	$ini->write (INI_FILE, "GENERAL", "email" , $email_address);
	$ini->write (INI_FILE, "GENERAL", "web_root" , $web_root);
	$ini->write (INI_FILE, "GENERAL", "path_root" , $path_root);
	$ini->write (INI_FILE, "GENERAL", "smtp_server" , $smtp_server);
	$ini->write (INI_FILE, "GENERAL", "smtp_user" , $smtp_user);
	$ini->write (INI_FILE, "GENERAL", "smtp_pass" , $smtp_pass);

	$ini->write (INI_FILE, "DB", "host" , $host);
	$ini->write (INI_FILE, "DB", "user" , $user);
	$ini->write (INI_FILE, "DB", "pass" , $pass);

	$ini->write (INI_FILE, "ADMIN", "username" , $username);
	$ini->write (INI_FILE, "ADMIN", "password" , $password);

	if(is_array($days)) {
		$days_sel=implode("|", $days);
	}
	$ini->write (INI_FILE, "CRON", "days" , $days_sel);
	if(is_array($days)) {
		$dbs_sel=implode("|", $dbs);
	}
	$ini->write (INI_FILE, "CRON", "dbs" , $dbs_sel);
	$ini->write (INI_FILE, "CRON", "num_archives" , $num_archives);

	$ini->write (INI_FILE, "ARCHIVE", "email_reports" , $email_reports);
	$ini->write (INI_FILE, "ARCHIVE", "zip_archive" , $zip_archive);
	$ini->write (INI_FILE, "ARCHIVE", "delivery" , $delivery);

	goTo(WEB_ROOT);
}

// Get the config settings
require_once(PATH_INCLUDES."inirw.class.php");
$ini = new iniRW ();
$ini_info = $ini->read_all(INI_FILE, $ini_section);
$ini_info['GENERAL']['email_address']=$ini_info['GENERAL']['email'];
foreach($ini_info AS $key => $val) {
	foreach($ini_info[$key] AS $key2 => $val2) {
		$smarty->assign($key2, $val2);
	}
}

// Build options
$email_reports_opts=array(1=>"Yes", 0=>"No");
$smarty->assign("email_reports_opts", $email_reports_opts);
$smarty->assign("email_reports", $ini_info['ARCHIVE']['email_reports']);

$zip_archive_opts=array(1=>"Yes", 0=>"No");
$smarty->assign("zip_archive_opts", $zip_archive_opts);
$smarty->assign("zip_archive", $ini_info['ARCHIVE']['zip_archive']);

$delivery_opts=array("both"=>"Both", "email"=>"Send by email", "down"=>"Download Only");
$smarty->assign("delivery_opts", $delivery_opts);
$smarty->assign("delivery", $ini_info['ARCHIVE']['delivery']);

$days_opts=array(0=>"Sunday", 1=>"Monday", 2=>"Tuesday", 3=>"Wednesday", 4=>"Thursday", 5=>"Friday", 6=>"Saturday");
$smarty->assign("days_opts", $days_opts);
$days_sel=explode("|", $ini_info['CRON']['days']);
$smarty->assign("days_sel", $days_sel);

$db_names=array();
$result = mysql_list_dbs();
while ($row = mysql_fetch_assoc($result)) {
	$db_names[$row['Database']]=$row['Database'];
}
$smarty->assign("dbs_opts", $db_names);
$dbs_sel=explode("|", $ini_info['CRON']['dbs']);
$smarty->assign("dbs_sel", $dbs_sel);

// Setup Screen Vars
$smarty->assign("page_title", "System Settings");
$body=$smarty->fetch("settings.htm");
$smarty->assign("body_content", $body);
$smarty->display("default.htm");
?>